Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TIfSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TIfSqlNode

All Implemented Interfaces:
  Visitable

    public class TIfSqlNode

extends TParseTreeNode

Constructor Summary
`TIfSqlNode()`

Method Summary
`TExpression` | `getCondition()`
`TElseIfSqlNodeList` | `getElseIfList()`
`TStatementListSqlNode` | `getElseStmts()`
`TStatementSqlNode` | `getElseStmtSqlNode()`
`TStatementSqlNode` | `getStmtSqlNode()`
`int` | `getStmtType()`
`TStatementListSqlNode` | `getThenStmts()`
`TMssqlCreateTriggerUpdateColumnList` | `getUpdateColumnList()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`void` | `setElseIfList(TElseIfSqlNodeList elseIfList)`
`void` | `setElseStmts(TStatementListSqlNode elseStmts)`
`void` | `setStmtType(int stmtType)`
`void` | `setThenStmts(TStatementListSqlNode thenStmts)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TIfSqlNode

    public TIfSqlNode()

Method Detail

### setStmtType

    public void setStmtType(int stmtType)

### getStmtType

    public int getStmtType()

### getCondition

    public TExpression getCondition()

### getUpdateColumnList

    public TMssqlCreateTriggerUpdateColumnList getUpdateColumnList()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

### getElseStmtSqlNode

    public TStatementSqlNode getElseStmtSqlNode()

### getStmtSqlNode

    public TStatementSqlNode getStmtSqlNode()

### setElseIfList

    public void setElseIfList(TElseIfSqlNodeList elseIfList)

### setElseStmts

    public void setElseStmts(TStatementListSqlNode elseStmts)

### getElseIfList

    public TElseIfSqlNodeList getElseIfList()

### getElseStmts

    public TStatementListSqlNode getElseStmts()

### getThenStmts

    public TStatementListSqlNode getThenStmts()

### setThenStmts

    public void setThenStmts(TStatementListSqlNode thenStmts)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD